import request from '@/utils/request'

// 列表
export function list(data){
  return request({
    url: `/admin/alubm/list`,
    method: 'post',
    data
  })
}

// 新增
export function submit(data){
  return request({
    url: `/admin/alubm/addOrUpdate`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id){
  return request({
    url: `/admin/alubm/queryById/${id}`,
    method: 'get'
  })
}

// 上下架
export function change(id, status){
  return request({
    url: `/admin/alubm/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}

// 删除
export function remove(id) {
  return request({
    url: `/admin/alubm/remove/${id}`,
    method: 'delete'
  })
}